# Method: customers.adsDataCustomers.list

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.ListAdsDataCustomersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers/list#body.aspect)

Lists ads data customers accessible from the customer.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/adsDataCustomers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer associated with these ads data customers. Format: customers/{customer} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of ads data customers to return. |
| `pageToken` | `string` Page token, returned by previous call, to request the next page of results, if any. |

### Request body

The request body must be empty.

### Response body

Response to a ListAdsDataCustomersRequest request. Contains the ads data customers accessible by the customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adsDataCustomers": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers#AdsDataCustomer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adsDataCustomers[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataCustomers#AdsDataCustomer`)`` A list of ads data customers. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`